Skip to main content
`Ctrl`+`K`

# DMCreateSectionPermutation

Create a permutation of the `PetscSection` chart and optionally a block structure.

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMCreateSectionPermutation(DM dm, IS *perm, PetscBT *blockStarts)

## Input Parameter

- dm - The `DM`

## Output Parameters

- perm - A permutation of the mesh points in the chart

- blockStarts - A high bit is set for the point that begins every block, or `NULL` for default blocking

## See Also

DM Basics, `DM`, `PetscSection`, `DMGetLocalSection()`, `DMGetGlobalSection()`

## Level

developer

## Location

src/dm/interface/dm.c

## Implementations

DMCreateSectionPermutation_Plex() in src/dm/impls/plex/plexreorder.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages